Search markets
curl --request GET \
--url https://api.routeur.app/v1/markets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/markets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/markets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"yes_label": "<string>",
"no_label": "<string>",
"event_mutually_exclusive": true,
"relations": {
"implies": 123,
"implied_by": 123,
"equivalent": 123,
"contradicts": 123,
"overlaps": 123,
"cross_venue": 123
},
"category": "<string>",
"strike": {
"type": "<string>",
"rules_template_hash": "<string>",
"floor": "<string>",
"cap": "<string>",
"custom": {},
"functional": true
},
"game_starts_at": "2023-11-07T05:31:56Z",
"quote": {
"observed_at": "2023-11-07T05:31:56Z",
"yes_ask_usd": "0.4100",
"no_ask_usd": "0.4100",
"price_usd": "0.4100",
"source": "venue"
}
}
],
"graph_run": 2,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Graph
Search markets
Markets in the latest graph, ordered by title. Text search matches titles by similarity, so small misspellings still match.
GET
/
v1
/
markets
Search markets
curl --request GET \
--url https://api.routeur.app/v1/markets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/markets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/markets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"yes_label": "<string>",
"no_label": "<string>",
"event_mutually_exclusive": true,
"relations": {
"implies": 123,
"implied_by": 123,
"equivalent": 123,
"contradicts": 123,
"overlaps": 123,
"cross_venue": 123
},
"category": "<string>",
"strike": {
"type": "<string>",
"rules_template_hash": "<string>",
"floor": "<string>",
"cap": "<string>",
"custom": {},
"functional": true
},
"game_starts_at": "2023-11-07T05:31:56Z",
"quote": {
"observed_at": "2023-11-07T05:31:56Z",
"yes_ask_usd": "0.4100",
"no_ask_usd": "0.4100",
"price_usd": "0.4100",
"source": "venue"
}
}
],
"graph_run": 2,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
apiKeybearer
Query Parameters
Text to match against market titles.
Maximum string length:
200Only results on this venue.
Available options:
kalshi, polymarket Only markets with at least one relation to the other venue.
Markets per page.
Required range:
1 <= x <= 100The next_cursor from the previous page.
Maximum string length:
1024